package com.gic.enterprise.dto.wm;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName: WmStoreSyncLogDTO   
 * @Description:  
 * @author guojuxing   
 * @date 2020/5/15 10:05 AM  
 */
public class WmStoreSyncLogDTO implements Serializable{
    private static final long serialVersionUID = 2365626532131284536L;

    /**
     *
     */
    private Integer id;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 店铺主键ID，用于关联配置
     */
    private Integer wmMallStoreId;

    /**
     *
     */
    private String storeId;

    /**
     * 1:总店 2:门店同步（实体）
     */
    private Integer type;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 1:已同步微盟 0:微盟侧已删除
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getId() {
        return id;
    }

    public WmStoreSyncLogDTO setId(Integer id) {
        this.id = id;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public WmStoreSyncLogDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getWmMallStoreId() {
        return wmMallStoreId;
    }

    public WmStoreSyncLogDTO setWmMallStoreId(Integer wmMallStoreId) {
        this.wmMallStoreId = wmMallStoreId;
        return this;
    }

    public String getStoreId() {
        return storeId;
    }

    public WmStoreSyncLogDTO setStoreId(String storeId) {
        this.storeId = storeId;
        return this;
    }

    public Integer getType() {
        return type;
    }

    public WmStoreSyncLogDTO setType(Integer type) {
        this.type = type;
        return this;
    }

    public String getStoreName() {
        return storeName;
    }

    public WmStoreSyncLogDTO setStoreName(String storeName) {
        this.storeName = storeName;
        return this;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public WmStoreSyncLogDTO setStoreCode(String storeCode) {
        this.storeCode = storeCode;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public WmStoreSyncLogDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public WmStoreSyncLogDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public WmStoreSyncLogDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}
