package com.gic.enterprise.constant;

/**
 * @author zhiwj
 * @date 2019/7/4
 */
public interface Constants {

    String BUSINESS_CATEGORY = "businessCategory";

    String RISK_MODE_DURATION_CATEGORY = "risk_mode_duration";

    String SMS_APP_TYPE = "sms_app_type";

    String VOICE_APP_TYPE = "voice_app_type";

    String TODO_ITEM_TYPE = "todo_item_type";

    String MODULE_TEMPLATE_CODE = "module_template_code";

    String SMS_PACKAGE = "sms_package";

    String SMS_PACKAGE_LENGTH = "sms_package_length";

    String BANK_ACCOUNT = "bank_account";

    long FIVE_MINUTE = 300000L;

    String RISK_MODE_REDIS_KEY = "enterprise:riskMode:";

    String PROJECT_ITEM_RISK_MODE_APPLY = "risk_mode_apply";

    String PROJECT_ITEM_COMPLETE_DATA_DOWNLOAD = "data_download";

    String PROJECT_ITEM_STOREFIELD_APPLY = "relevanceStorefield";

    /**
     * 待办事项的redis key
     */
    String TODO_ITEM_URL_KEY = "enterprise:todoItem";

    String BALANCE_PAY_REQUEST_CODE = "balance_pay_request_code";

    /**
     * 商户账户余额 redis key  eg: enterprise_billing_account1129
     */
    String ENTERPRISE_BILLING_ACCOUNT = "enterprise_billing_account";

    /**
     * 商户套餐包中总的条数 redis key eg: enterprise_billing_sms_package_count1129
     */
    String ENTERPRISE_BILLING_SMS_PACKAGE_COUNT = "enterprise_billing_sms_package_count";

    String ENTERPRISE_BILLING_SMS_PACKAGE_COUNT_LOCK = "enterprise_billing_sms_package_count_lock";

    //----------------------待办事项--------------------------------
    /**
     * 审批
     */
    String TODO_ITEM_AUDIT = "audit";
    /**
     * 产品通知
     */
    String PRODUCT = "product";

    //    -----------------------待办事项跳转url-------------------------------
    /**
     * 审批的url
     */
    String TODO_ITEM_AUDIT_URL = "damo-system/user/approve";

    /**
     * 商户余额欠费
     */
    String TODO_ITEM_ACCOUNT_BALANCE_URL = "billing-center/recharge";

    /**
     * 门店分组
     */
    String TODO_ITEM_STORE_GROUP_URL = "damo-store/shop-management/shop-group-management";

}
